@echo off
if not exist skript.sublime-package (
  Call :MessageBox "The Skript syntax package was not found in the current directory (%cd%)"
  exit /b
)
if not exist "%appdata%\Sublime Text 3" (
  call :MessageBox """%appdata%\Sublime Text 3\"" doesn't seem to exist" "Sublime Text 3 not installed"
  exit /b
)
if not exist "%appdata%\Sublime Text 3\Installed Packages" (
  call :MessageBox """%appdata%\Sublime Text 3\Installed Packages"" doesn't exist" "Package folder missing"
  exit /b
)
Call :YesNoBox "This installer will close and (attempt to) start Sublime Text, so save your documents before continuing!" "Continue?"
if "%YesNo%"=="6" (
  taskkill /f /im sublime_text.exe >nul 2>&1
  if exist "%appdata%\Sublime Text 3\Installed Packages\Skript.sublime-package" (
    del "%appdata%\Sublime Text 3\Installed Packages\Skript.sublime-package"
  )
  copy skript.sublime-package "%appdata%\Sublime Text 3\Installed Packages\skript.sublime-package" >nul 2>&1
  Call :YesNoBox "Restart Sublime Text?" "Installation Complete"
  if "%YesNo%"=="6" (
    if exist "%PROGRAMFILES%\Sublime Text 3\sublime_text.exe" ( start "" "%PROGRAMFILES%\Sublime Text 3\sublime_text.exe" )
	if exist "%PROGRAMFILES(X86)%\Sublime Text 3\sublime_text.exe" ( start "" "%PROGRAMFILES(X86)%\Sublime Text 3\sublime_text.exe" )
  )
  exit /b
)

exit /b
:YesNoBox
REM returns 6 = Yes, 7 = No. Type=4 = Yes/No
set YesNo=
set MsgType=4
set heading=%~2
set message=%~1
echo wscript.echo msgbox(WScript.Arguments(0),%MsgType%,WScript.Arguments(1)) >"%temp%\input.vbs"
for /f "tokens=* delims=" %%a in ('cscript //nologo "%temp%\input.vbs" "%message%" "%heading%"') do set YesNo=%%a
exit /b

:MessageBox
set heading=%~2
set message=%~1
echo msgbox WScript.Arguments(0),0,WScript.Arguments(1) >"%temp%\input.vbs"
cscript //nologo "%temp%\input.vbs" "%message%" "%heading%"
exit /b